import request from '@/utils/request'

// 查询站点管理列表
export function listInfo(query) {
  return request({
    url: '/system/siteInfo/list',
    method: 'get',
    params: query
  })
}

// 查询站点管理详细
export function getInfo(id) {
  return request({
    url: '/system/siteInfo/' + id,
    method: 'get'
  })
}

// 新增站点管理
export function addInfo(data) {
  return request({
    url: '/system/siteInfo',
    method: 'post',
    data: data
  })
}

// 修改站点管理
export function updateInfo(data) {
  return request({
    url: '/system/siteInfo',
    method: 'put',
    data: data
  })
}

// 删除站点管理
export function delInfo(id) {
  return request({
    url: '/system/siteInfo/' + id,
    method: 'delete'
  })
}
